### Function

# GimpUi prop_widget_set_factor

#### Declaration [src]

    void
    gimp_prop_widget_set_factor (
      GtkWidget* widget,
      gdouble factor,
      gdouble step_increment,
      gdouble page_increment,
      gint digits
    )

#### Description [src]

Change the display factor of the property `widget` relatively to the property it was bound to. Currently the only types of widget accepted as input are those created by `gimp_prop_spin_scale_new()` and gimp_prop_spin_button_new().

If `factor` is 1.0, then the config property and the widget display map exactly.

If `factor` is not 1.0, the widget’s range will be computed based of `property_name`‘s range multiplied by `factor`. A typical usage would be to display a [0.0, 1.0] range as [0.0, 100.0] by setting 100.0 as `factor`. This function can only be used with double properties.

The `step_increment` and `page_increment` can be set to new increments you want to get for this new range. If you set them to 0.0 or negative values, new increments will be computed based on the new `factor` and previous factor.

Available since: | 3.0

#### Parameters

`widget` | `GtkWidget`
| Property widget.
| The data is owned by the caller of the function.
`factor` | `gdouble`
| Multiplier to convert the `widget`‘s range and map appropriately to the property’s range it is associated to.
`step_increment` | `gdouble`
| Step size.
`page_increment` | `gdouble`
| Page size.
`digits` | `gint`
| Number of digits after decimal point to display.